## ros-indigo-urdf-tutorial 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(urdf_tutorial)

find_package(catkin REQUIRED)
catkin_package()

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif()

install(DIRECTORY images meshes launch rviz urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-urdf-tutorial (0.3.0-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 02 Jul 2017 19:52:27 -0000

ros-indigo-urdf-tutorial (0.2.5-0trusty) trusty; urgency=high

  * New ROS Control Tutorial
  * Remove dependency on pr2_description (uses local meshes instead)
  * General cleanup, bug fixes and reorganization
  * Contributors: David V. Lu!!, Felix Duvallet, Paul Bovbel, Thibault Kruse

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 28 Apr 2017 04:00:00 -0000

ros-indigo-urdf-tutorial (0.2.4-0trusty) trusty; urgency=high

  * Maintainer list changes
  * Add .rviz as an arg
  * fix gazebo.launch for indigo, update to new package name
  * Add run depends
  * Contributors: David V. Lu, Ioan A Sucan, Isaac IY Saito, Kei Okada

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 24 Apr 2015 04:00:00 -0000

ros-indigo-urdf-tutorial (0.2.3-0trusty) trusty; urgency=high

  * Merge pull request #7 <https://github.com/ros/urdf_tutorial/issues/7> from gavanderhoorn/issue6_source_vs_devel_vs_install
    Fix issue #6 <https://github.com/ros/urdf_tutorial/issues/6>: No robot model when using display.launch (again)
  * Setup new directory structure and move files around.
  * Contributors: Ioan A Sucan, gavanderhoorn

 -- Ioan Sucan <isucan@willowgarage.com>  Thu, 09 Jan 2014 05:00:00 -0000

ros-indigo-urdf-tutorial (0.2.2-0trusty) trusty; urgency=high

  * Merge pull request #5 <https://github.com/ros/urdf_tutorial/issues/5> from gavanderhoorn/issue4_missing_robot_model_display
    Fix issue #4 <https://github.com/ros/urdf_tutorial/issues/4>: missing RobotModel display
  * Make roslaunch stop all nodes on RViz exit.
  * Update path to RViz config in display.launch. Fix #4 <https://github.com/ros/urdf_tutorial/issues/4>.
    Seems xacrodisplay.launch was already fixed, but somehow display.launch was not updated. See #3 <https://github.com/ros/urdf_tutorial/issues/3>.
  * fix #3 <https://github.com/ros/urdf_tutorial/issues/3>
  * Contributors: Ioan Sucan, gavanderhoorn

 -- Ioan Sucan <isucan@willowgarage.com>  Mon, 16 Dec 2013 05:00:00 -0000

ros-indigo-urdf-tutorial (0.2.1-0trusty) trusty; urgency=high

  * update package name and install location for compatibility with previous build system
  * Contributors: Ioan Sucan

 -- Ioan Sucan <isucan@willowgarage.com>  Tue, 28 May 2013 18:04:00 -0000

ros-indigo-urdf-tutorial (0.2.0-0trusty) trusty; urgency=high

  * catkinizing package
  * Merge pull request #1 <https://github.com/ros/urdf_tutorial/issues/1> from ros-industrial/master
    Rviz config file update
  * Ported rviz config file to new groovy format.  Updated launch files to use new config file
  * Added tag unstable for changeset bd8da58ba34e
  * Added tag robot_model_tutorials-0.1.2 for changeset 6ac373f839e0
  * getting ready for 0.1.2 release
  * Added tag unstable for changeset dcec5b1f8ed8
  * Added tag robot_model_tutorials-0.1.1 for changeset e023b0707337
  * getting ready for 0.1.1 release
  * Automated merge with https://kforge.ros.org/robotmodel/tutorials
  * update stack dependencies
  * Added tag unstable for changeset b22bbf7d7850
  * Added tag robot_model_tutorials-0.1.0 for changeset a0b3b46efc95
  * initial copy
  * Updated meta-data, JointStatePublisher with merging ability
  * Cleaning up some manifests
  * URDF Tutorial
  * Bug Fix 3101648
  * Joint Controller renamed and reworked as Joint_state_publisher
  * Screenshot for Joint controller
  * Initial URDF Tools Package
  * Contributors: Ioan Sucan, Shaun Edwards, Wim Meeussen, isucan, probablydavid

 -- Ioan Sucan <isucan@willowgarage.com>  Tue, 28 May 2013 17:47:00 -0000

=== debian/control ===
Source: ros-indigo-urdf-tutorial
Section: misc
Priority: extra
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/urdf_tutorial
Standards-Version: 3.9.2

Package: ros-indigo-urdf-tutorial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joint-state-publisher, ros-indigo-robot-state-publisher, ros-indigo-rviz, ros-indigo-xacro
Description: This package contains a number of URDF tutorials.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-urdf-tutorial//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
